/*  This file is part of epubgrep.
 *  Copyright © 2021 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBGREP_FILES_HPP
#define EPUBGREP_FILES_HPP

#include "fs-compat.hpp"

#include <string_view>
#include <vector>

namespace epubgrep::files
{

//! List files in directory recursively.
[[nodiscard]] std::vector<fs::path> list_recursive(const fs::path &directory,
                                                   bool follow_symlinks);

} // namespace epubgrep::files

#endif // EPUBGREP_FILES_HPP
